using System;
using SqlSugar;

namespace DeviceRepair.Models
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("Fields")]
    public class FieldsInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }
        /// <summary>
        ///  
        /// 默认值: (newid())
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid GUID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldCode")]
        public string FieldCode { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldText")]
        public string FieldText { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldValue")]
        public string FieldValue { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldType")]
        public string FieldType { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string FieldTypeCaption { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "Status")]
        public bool Status { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string StatusText { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "Description")]
        public string Description { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatBy")]
        public int CreatBy { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string CreatorName { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatOn")]
        public DateTime CreatOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public int? ModifyBy { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string ModifierName { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }
    }
}
